Package javax.security.auth.message.module

## Interface ClientAuthModule

All Superinterfaces:
  `ClientAuth`

    public interface ClientAuthModule
    extends ClientAuth

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class[]` `getSupportedMessageTypes()`
`void` `initialize​(MessagePolicy requestPolicy, MessagePolicy responsePolicy, javax.security.auth.callback.CallbackHandler handler, java.util.Map options)`

### Methods inherited from interface javax.security.auth.message.ClientAuth

`cleanSubject, secureRequest, validateResponse`

### Method Detail

#### initialize

    void initialize​(MessagePolicy requestPolicy,
                    MessagePolicy responsePolicy,
                    javax.security.auth.callback.CallbackHandler handler,
                    java.util.Map options)
             throws AuthException

Throws:
  `AuthException`

#### getSupportedMessageTypes

    java.lang.Class[] getSupportedMessageTypes()